Bug 197423 - [PATCH] Middle click on the collection browser should append to playlist
Summary: [PATCH] Middle click on the collection browser should append to playlist
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Collection Browser (show other bugs)
Version: 2.1.1
Platform: Ubuntu Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-21 21:12 UTC by Felix Geyer
Modified: 2009-10-02 14:30 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch that implements the described behaviour (2.94 KB, patch)
2009-06-21 21:14 UTC, Felix Geyer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Geyer 2009-06-21 21:12:57 UTC
Version:           Amarok 2.1.1 (using KDE 4.2.4)
OS:                Linux
Installed from:    Ubuntu Packages

When KDE is configured to be in double-click mode, there is no easy way to append an album/artist to the playlist (only double-middle-click or [keyboard modifier] + double-click work).

That's why I think a (single) middle click on the collection browser should append the item to the playlist.
Comment 1 Felix Geyer 2009-06-21 21:14:28 UTC
Created attachment 34721 [details]
Patch that implements the described behaviour
Comment 2 Mikko C. 2009-08-22 15:09:39 UTC
This make sense I think, can anyone please take a look? And Felix, does this patch apply also to git master? If not, can you please provide a new one? Thanks.
Comment 3 Felix Geyer 2009-08-22 19:23:53 UTC
Yes it does. I opened a merge request at Gitorious:
http://gitorious.org/amarok/amarok/merge_requests/1067
Comment 4 Mark Kretschmann 2009-08-22 20:00:17 UTC
There's a related feature that we had in 1.4, which I've always wanted in 2.x, but never came around to implementing:

If you middle-click on the playlist, the contents of the X11 clipboard could be appended to the playlist, as a URL. This is handy e.g. for quickly adding a radio stream URL.

This concept of pasting the clipboard contents into an application is very unix'ish, but it's also very comfortable, and it works in many applications. E.g. Opera does it, and Firefox also used to do it.

Why am I writing this? Maybe, just maybe, you might be motivated to create another patch, while you're at it. I'd appreciate it :)
Comment 5 Felix Geyer 2009-08-30 14:39:11 UTC
Opened another merge request for that feature:
http://gitorious.org/amarok/amarok/merge_requests/1373

Hope to get some comments on both merge requests.
Comment 6 Mark Kretschmann 2009-08-30 15:41:56 UTC
Wow, that's very nice of you Felix. We'll look at it, thanks :)
Comment 7 Mark Kretschmann 2009-08-30 17:01:54 UTC
Ok, merged the playlist patch. Thanks again!

commit 9134a4462fd2243ce058c8b026864fed621c233f
Merge: 9e971f5 fe8d78f
Author: Mark Kretschmann <kretschmann@kde.org>
Date:   Sun Aug 30 16:38:19 2009 +0200

    Merge commit 'debfx/playlist-middle-click'
Comment 8 Mark Kretschmann 2009-10-02 14:30:14 UTC
Thanks, I've merged the collection-middle-click patch into mainline too. works nicely.